# Uses of Interface
org.eclipse.rap.rwt.service.UISession

Packages that use UISession
Package
Description
org.eclipse.rap.rwt
org.eclipse.rap.rwt.service

## Uses of UISession in org.eclipse.rap.rwt

Methods in org.eclipse.rap.rwt that return UISession
Modifier and Type
Method
Description
`static UISession`
RWT.`getUISession()`
Returns the current UI session.
`static UISession`
RWT.`getUISession(Display display)`
Returns the UI session that is associated with the given display.
Methods in org.eclipse.rap.rwt with parameters of type UISession
Modifier and Type
Method
Description
`static <T> T`
SingletonUtil.`getUniqueInstance(Class<T> type, UISession uiSession)`
Returns an instance of the specified type that is unique within the given UI session.

## Uses of UISession in org.eclipse.rap.rwt.service

Methods in org.eclipse.rap.rwt.service that return UISession
Modifier and Type
Method
Description
`UISession`
UISessionEvent.`getUISession()`
Returns the UI session that this event is related to.
Constructors in org.eclipse.rap.rwt.service with parameters of type UISession
Modifier
Constructor
Description
``
`UISessionEvent(UISession uiSession)`
Creates a new instance of this class.